MIX_DestroyMixer(3)

NAME
MIX_DestroyMixer - Free a mixer.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_DestroyMixer(MIX_Mixer *mixer);

DESCRIPTION
If this mixer was created with MIX_CreateMixerDevice(), this function will also close the audio device and call SDL_QuitSubSystem(SDL_INIT_AUDIO).

Any MIX_Group or MIX_Track created for this mixer will also be destroyed. Do not access them again or attempt to destroy them after the device is destroyed. MIX_Audio objects will not be destroyed, since they can be shared between mixers (but those will all be destroyed during MIX_Quit()).

FUNCTION PARAMETERS

mixer
    the mixer to destroy.

THREAD SAFETY
If this is used with a MIX_Mixer from MIX_CreateMixerDevice, then this function should only be called on the main thread. If this is used with a MIX_Mixer from MIX_CreateMixer, then it is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_CreateMixerDevice(3), MIX_CreateMixer(3)